mod Mtexxpr

rem 
  \para \bf  Part. Universal Function for Primitive Recursive Functions.  \end 

rem 
  \para \bf  Arithmetization of primitive recursive function symbols.  \end 

appldisp/0 Tex_f0_xpr_zx
  Id(3,'Z',0)

appldisp/0 Tex_f0_xpr_sx
  Id(3,'S',0)

appldisp/2 Tex_f2_xpr_px
  Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),25,0,Id(2,',',0),Arg(1)),Id(2,Ent('rang'),0))

appldisp/2 Tex_f2_xpr_ix
  Subsup(Id(3,'I',0),75,Arg(1),Arg(0))

appldisp/4 Tex_f4_xpr_cx
  Prefix(70,0,Subsup(Id(3,'Comp',0),75,Arg(1),Arg(0)),
         Fenced(Op('(',0),Infix(Arg(2),40,0,Op(',',0),Arg(3)),Op(')',0)))

appldisp/3 Tex_f3_xpr_rx
  Prefix(70,0,Subsup(Id(3,'Rec',0),75,Arg(0),None),
         Fenced(Op('(',0),Infix(Arg(1),40,0,Op(',',0),Arg(2)),Op(')',0)))

rem 
  \para \bf  Arithmetization of primitive recursive terms.  \end 

appldisp/1 Tex_f1_xpr_vt
  Subsup(Id(3,'x',0),75,Arg(0),Op(Ent('bull'),0))

appldisp/1 Tex_f1_xpr_ct
  Subsup(Arg(0),75,None,Op(Ent('bull'),0))

appldisp/2 Tex_f2_xpr_pt
  Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),25,0,Id(2,',',0),Arg(1)),Id(2,Ent('rang'),0))

appldisp/2 Tex_f2_xpr_at
  Prefix(70,0,Arg(0),Fenced(Id(2,'(',0),Arg(1),Id(2,')',0)))

appldisp/3 Tex_f3_xpr_den
  Subsup(Fenced(Op(Ent('lobrk'),0),
                Prefix(100,2,Arg(1),
                       Fenced(Op('[',0),
                              Infix(Subsup(Id(1,'x',0),75,Num('1',0),None),20,0,
                                    Id(1,',...,',0),
                                    Subsup(Id(1,'x',0),75,Arg(0),None)),Op(']',0))),
                Op(Ent('robrk'),0)),75,Arg(2),None)

rem 
  \para \bf  Universal function.  \end 

appldisp/2 Tex_f2_xpr_interpreter
  Infix(Arg(0),50,2,Op(Ent('bull'),0),Arg(1))

rem 
  \para \bf  Examples of primitive recursive indices.  \end 

appldisp/0 Tex_f0_xpr_xc1_1
  Subsup(Id(3,'C',0),75,Num('1',0),None)

appldisp/0 Tex_f0_xpr_xc1_2
  Subsup(Id(3,'C',0),75,Num('2',0),None)

appldisp/0 Tex_f0_xpr_xc1_3
  Subsup(Id(3,'C',0),75,Num('3',0),None)

appldisp/0 Tex_f0_xpr_xc1_4
  Subsup(Id(3,'C',0),75,Num('4',0),None)

appldisp/0 Tex_f0_xpr_xc1_27
  Subsup(Id(3,'C',0),75,Num('27',0),None)

appldisp/0 Tex_f0_xpr_xc1_256
  Subsup(Id(3,'C',0),75,Num('256',0),None)

appldisp/0 Tex_f0_xpr_xplus
  Id(3,'Plus',0)

appldisp/0 Tex_f0_xpr_xtimes
  Id(3,'Times',0)

appldisp/0 Tex_f0_xpr_xexp
  Id(3,'Exp',0)

appldisp/0 Tex_f0_xpr_xpred
  Id(3,'Pred',0)

appldisp/0 Tex_f0_xpr_xminus
  Id(3,'Minus',0)

appldisp/0 Tex_f0_xpr_xsum
  Id(3,'Sum',0)

appldisp/0 Tex_f0_xpr_xfact
  Id(3,'Fact',0)

appldisp/0 Tex_f0_xpr_xd
  Id(3,'D',0)

appldisp/0 Tex_f0_xpr_xeqf
  Subsup(Id(3,'Eq',0),75,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xnotf
  Subsup(Id(3,'Not',0),75,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xandf
  Subsup(Id(3,'And',0),75,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xlef
  Subsup(Id(3,'Le',0),75,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xltf
  Subsup(Id(3,'Lt',0),75,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xdiv
  Id(3,'Div',0)

appldisp/0 Tex_f0_xpr_xmod
  Id(3,'Mod',0)

appldisp/0 Tex_f0_xpr_xpair
  Id(3,'Pair',0)

appldisp/0 Tex_f0_xpr_xg
  Id(3,'g',0)

appldisp/0 Tex_f0_xpr_xself
  Id(3,'Self-reproducing machine',0)

rem 
  \para \bf  Operations on primitive recursive indices.  \end 

appldisp/1 Tex_f1_xpr_xc1
  Subsup(Id(3,'C',0),75,Arg(0),None)

appldisp/2 Tex_f2_xpr_xc2
  Subsup(Id(3,'C',0),75,Arg(1),Arg(0))

appldisp/2 Tex_f2_xpr_xedf
  Infix(Subsup(Id(7,Ent('lambda'),0),75,Arg(0),None),40,0,Op('.',0),Arg(1))

appldisp/1 Tex_f1_xpr_xiter
  Prefix(100,2,Id(3,'Iter',0),Arg(0))

appldisp/2 Tex_f2_xpr_xrec0
  Prefix(70,0,Id(3,'Rec0',0),
         Fenced(Op('(',0),Infix(Arg(0),40,0,Op(',',0),Arg(1)),Op(')',0)))

appldisp/2 Tex_f2_xpr_xmin
  Prefix(70,0,Id(3,'Min',0),
         Fenced(Op('(',0),Infix(Arg(0),40,0,Op(',',0),Arg(1)),Op(')',0)))

appldisp/2 Tex_f2_xpr_xparam
  Infix(Arg(0),39,1,Id(3,'/',0),Arg(1))

appldisp/3 Tex_f3_xpr_xsmn_2_3
  Prefix(100,2,Subsup(Id(1,'s',0),75,Num('3',0),Num('2',0)),
         Fenced(Op('(',0),
                Infix(Arg(0),30,2,Op(',',0),Infix(Arg(1),30,2,Op(',',0),Arg(2))),
                Op(')',0)))

appldisp/1 Tex_f1_xpr_xdiag
  Prefix(100,2,Id(3,'Diag',0),Arg(0))

appldisp/1 Tex_f0_xpr_xcantor
  Prefix(100,2,Id(3,'Cantor',0),Arg(0))

